List Agent Mcp Tools
This method allows you to list all MCP tools that are linked to a specific agent.
The response format is identical to the tools list endpoint.
agent_id
after
before
limit
offset
order
set_num_objects
Successful Response
{
"object": "string",
"has_more": false,
"num_objects": 0,
"data": [
{
"id": "string",
"server": {
"id": "string",
"name": "string"
},
"tool_type": "string",
"tool_configuration_type": "string",
"origin_name": "string",
"description": "string",
"annotations": "string",
"input_schema": "string",
"output_schema": "string",
"is_approved": false,
"availability": "string",
"last_available_at": 0,
"last_updated_at": 0,
"num_linked_agents": 0
}
],
"first_id": "string",
"last_id": "string"
}
Object type, which is always list.
True, if the server may have more objects than returned in the response.
Total number of objects that match the request. Note that this field is populated only if requested by the user (see set_num_objects request parameter).
List of Tools.
ID of the first element in the list (if any)
ID of the last element in the list (if any)
No agent found with the specified ID.
An invalid ID was passed for paginating results.
Validation Error
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
detail
curl -H 'Authorization: <value>' https://{api_host}/api/v1/compatibility/openai/v1/agents/{agent_id}/mcp_tools